Subject: bug#44850: 27.1; Emacs crash in font handling with font-backend ns

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Nov 2020 14:23:45 +0200

> Date: Fri, 27 Nov 2020 09:55:19 +0000
> From: Alan Third <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
> 	Pieter van Oostrum <[email-masked]>, [email-masked]
> 
> > I thought that had been fixed...  but I can't find the bug report for it
> > now.  It's odd that Emacs 28 doesn't segfault for me on Macos, then.
> > (Alan added to the Cc's.)
> 
> It's bug#44349. It doesn't look like that bug report went anywhere.
> 
> We could easily replace that character, but I think it came along with
> the NS port, so it's strange how it's only become an issue now.

It became an issue because of a recent change in doprnt.c, and because
the NS port is the only one that uses non-ASCII characters in that
format string.

I'd prefer to lift the restriction introduced by doprnt.c, instead of
replacing that character.  It isn't clear to me why this restriction
is a good idea, and it doesn't seem like lifting the restriction
should be hard.  Patches welcome.